Subject: [dnsext] I-D Action: draft-ietf-dnsext-rfc1995bis-ixfr-00.txt

From: [email-masked]
Date: Tue, 27 Mar 2012 01:07:11 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the DNS Extensions Working Group of the IETF.

	Title           : DNS Incremental Zone Transfer Protocol (IXFR)
	Author(s)       : Alfred Hoenes
                          Ondrej Sury
                          Shane Kerr
	Filename        : draft-ietf-dnsext-rfc1995bis-ixfr-00.txt
	Pages           : 32
	Date            : 2012-03-27

   The standard means within the Domain Name System protocol for
   maintaining coherence among a zone's authoritative name servers
   consists of three mechanisms.  Incremental Zone Transfer (IXFR) is
   one of the mechanisms and originally was defined in RFC 1995.

   This document aims to provide a more detailed and up-to-date
   specification of the IXFR mechanism and to align it with the current
   specification of the primary zone transfer mechanism, AXFR, given in
   RFC 5936.  Further, based on operational experience, this document
   juxtaposes to the original IXFR query a new query type, IXFR-ONLY,
   that will likely be preferred over IXFR in specific deployments.

   This document obsoletes and replaces RFC 1995.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc1995bis-ixfr-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-dnsext-rfc1995bis-ixfr-00.txt

_______________________________________________
dnsext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dnsext

---

From: Ondřej Surý <[email-masked]>
Date: Thu, 29 Mar 2012 17:50:52 +0200

Hi,

I got our head engineer of Knot DNS (Lubos Slovak he's in Cc:), who also implementor IXFR (from scratch) to review the document and here's the result (copying verbatim, just added references to sections and 'nit' words):

1) section 1.4 - nit: "makes freely use" -> s/freely/free

2) Section 2, page 8 - nit: "Therefore, is becomes apparent" -> s/is/it

3) Section 2, last paragraph - why has to RRSIG(SOA) follow the SOA in then AXFR-fallback example?

4) Section 6.2 - missing RFC2119 language; shoulds and mays are small caps, is that intentional?

5) And today new question have arrised: "What should IXFR client do if it receives incomplete multichunked IXFR response?"  A) discard whole transfer and start over; B) save usable chunks (e.g. use data to update zone from sn_o to sn_o+x, where sn_o+x < sn_n)

Ondrej on behalf of Lubos
P.S.: Our Knot DNS team (different people than one of the authors of this document) will do a full review in WGLC.

--
 Ondřej Surý
 vedoucí výzkumu/Head of R&D department
 -------------------------------------------
 CZ.NIC, z.s.p.o.    --    Laboratoře CZ.NIC
 Americka 23, 120 00 Praha 2, Czech Republic
 mailto:[email-masked]    http://nic.cz/
 tel:+420.222745110       fax:+420.222745112
 -------------------------------------------